import createAxios from '@/utils/request'

//删除列表
export function deleteByIds(data: any) {
    return createAxios({
        url: '/advance-boot/responsibility/deleteByIds',
        method: 'post',
        data
    })
}
//上传用采数据
export function uploadUserData(data: any) {
    return createAxios({
        url: '/advance-boot/responsibility/uploadUserData',
        method: 'post',
        data
    })
}
//删除用采数据
export function deleteUserDataByIds(data: any) {
    return createAxios({
        url: '/advance-boot/responsibility/deleteUserDataByIds',
        method: 'post',
        data
    })
}
//负荷数据
export function userDataList(data: any) {
    return createAxios({
        url: '/advance-boot/responsibility/userDataList',
        method: 'post',
        data
    })
}
//执行
export function getHistoryHarmData(data: any) {
    return createAxios({
        url: '/harmonic-boot/harmonic/getHistoryHarmData',
        method: 'post',
        data
    })
}
//责任详情
export function displayHistoryData(data: any) {
    return createAxios({
        url: '/advance-boot/responsibility/displayHistoryData',
        method: 'GET',
        params: data
    })
}
//生成谐波责任指标
export function getResponsibilityData(data: any) {
    return createAxios({
        url: '/advance-boot/responsibility/getResponsibilityData',
        method: 'post',
         data
    })
}
//生成动态谐波责任数据
export function getDynamicData(data: any) {
    return createAxios({
        url: '/advance-boot/responsibility/getDynamicData',
        method: 'post',
         data
    })
}
